package com.lanren.huhu.partner.controller;

import com.lanren.huhu.partner.result.Result;
import com.lanren.huhu.partner.schedule.AgentDailyExpandTask;
import com.lanren.huhu.partner.schedule.AgentDailyMailTask;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDateTime;

/**
 * @author chen
 */
@RestController
@RequestMapping("/v1/report/")
public class AgentController {
    private static Logger logger = LoggerFactory.getLogger(AgentController.class);

    @Autowired
    AgentDailyExpandTask agentDailyExpandTask;
    @Autowired
    AgentDailyMailTask agentDailyMailTask;

    @RequestMapping(value = "/{dat}", method = RequestMethod.GET)
    public Result<String> updateOneDayExpand(@PathVariable("dat") String dat) {
        agentDailyExpandTask.runSummary(dat);
        logger.info("============>" + Thread.currentThread().getName());
        Result<String> result = new Result<String>();
        result.setData("异步,正在执行刷新......");
        return result;
    }
    /**
     * 汇总拓展的城市代理商
     */
    @RequestMapping(value = "/expand/city", method = RequestMethod.GET)
    public Result<String> sumExpandCity(@RequestHeader HttpHeaders headers) {
        if (logger.isInfoEnabled()) {
            logger.info("AgentController sumExpandCity, header:{}, time:{}", headers.keySet().toArray(), LocalDateTime.now());
        }
        agentDailyMailTask.runExpandCityAgent();
        Result<String> result = new Result<String>();
        result.setCode(0);
        return result;
    }
}
